import sqlite3

npc_db = sqlite3.connect("../npc_db")
cur = npc_db.cursor()

traits = [
    "Despite my birth, I do not place myself above other folk. We all have the same blood.",
    "Flattery is my preferred trick for getting what I want.",
    "I always have plan for what to do when things go wrong.",
    "I always want to know how things work and what makes people tick.",
    "I am always calm, no matter what the situation. I never raise my voice or let my emotions control me.",
    "I am horribly, horribly awkward in social situations.",
    "I am incredibly slow to trust. Those who seem the fairest often have the most to hide.",
    "I am tolerant (or intolerant) of other faiths and respect (or condemn) the worship of other gods.",
    "I am utterly serene, even in the face of disaster.",
    "I am working on a grand philosophical theory and love sharing my ideas.",
    "I ask a lot of questions.",
    "I believe that everything worth doing is worth doing right. I can't help it--I'm a perfectionist.",
    "I blow up at the slightest insult.",
    "I bluntly say what other people are hinting or hiding.",
    "I can find common ground between the fiercest enemies, empathizing with them and always working toward peace.",
    "I can stare down a hellhound without flinching.",
    "I change my mood or my mind as quickly as I change key in a song.",
    "I connect everything that happens to me to a grand cosmic plan.",
    "I don't like to bathe.",
    "I don't like to get my hands dirty, and I won't be caught dead in unsuitable accommodations.",
    "I don't part with my money easily and will haggle tirelessly to get the best deal possible.",
    "I don't pay attention to the risks in a situation. Never tell me the odds.",
    "I eat like a pig and have bad manners.",
    "I enjoy being strong and like breaking things.",
    "I enjoy sailing into new ports and making new friends over a flagon of ale.",
    "I face problems head-on. A simple direct solution is the best path to success.",
    "I fall in and out of love easily, and am always pursuing someone.",
    "I feel far more comfortable around animals than people.",
    "I feel tremendous empathy for all who suffer.",
    "I get bitter if I'm not the center of attention.",
    "I get bored easily. When am I going to get on with my destiny.",
    "I have a crude sense of humor.",
    "I have a joke for every occasion, especially occasions where humor is inappropriate.",
    "I have a lesson for every situation, drawn from observing nature.",
    "I have a strong sense of fair play and always try to find the most equitable solution to arguments.",
    "I hide scraps of food and trinkets away in my pockets.",
    "I idolize a particular hero of my faith and constantly refer to that person's deeds and example.",
    "I judge people by their actions, not their words.",
    "I keep multiple holy symbols on me and invoke whatever deity might come in useful at any given moment.",
    "I know a story relevant to almost every situation.",
    "I lie about almost everything, even when there's no good reason to.",
    "I like a job well done, especially if I can convince someone else to do it.",
    "I like to squeeze into small places where no one else can get to me.",
    "I like to talk at length about my profession.",
    "I love a good insult, even one directed at me.",
    "I misuse long words in an attempt to sound smarter.",
    "I never pass up a friendly wager.",
    "I often get lost in my own thoughts and contemplations, becoming oblivious to my surroundings.",
    "I once ran twenty-five miles without stopping to warn my clan of an approaching orc horde. I'd do it again if I had to.",
    "I place no stock in wealthy or well-mannered folk. Money and manners won't save you from a hungry owlbear.",
    "I pocket anything I see that might have some value.",
    "I quote (or misquote) the sacred texts and proverbs in almost every situation.",
    "I see omens in every event and action. The gods try to speak to us, we just need to listen.",
    "I sleep with my back to a wall or tree, with everything I own wrapped in a bundle in my arms.",
    "I stretch the truth for the sake of a good story.",
    "I take great pains to always look my best and follow the latest fashions.",
    "I think anyone who's nice to me is hiding evil intent.",
    "I use polysyllabic words to convey the impression of great erudition.",
    "I was, in fact, raised by wolves.",
    "I watch over my friends as if they were a litter of newborn pups.",
    "I work hard so that I can play hard when the work is done.",
    "I would rather make a new friend than a new enemy.",
    "I'll settle for nothing less than perfection.",
    "I'm a born gambler who can't resist taking a risk for a potential payoff.",
    "I'm a hopeless romantic, always searching for that 'special someone'.",
    "I'm a snob who looks down on those who can't appreciate fine art.",
    "I'm always picking things up, absently fiddling with them, and sometimes accidentally breaking them.",
    "I'm always polite and respectful.",
    "I'm confident in my own abilities and do what I can to instill confidence in others.",
    "I'm convinced that people are always trying to steal my secrets.",
    "I'm driven by a wanderlust that led me away from home.",
    "I'm full of inspiring and cautionary tales from my military experience relevant to almost every combat situation.",
    "I'm full of witty aphorisms and have a proverb for every occasion.",
    "I'm haunted by memories of war. I can't get the images of violence out of my mind.",
    "I'm oblivious to etiquette and social expectations.",
    "I'm rude to people who lack my commitment to hard work and fair play.",
    "I'm used to helping out those who aren't as smart as I am, and I patiently explain anything and everything to others.",
    "I'm well known for my work, and I want to make sure everyone appreciates it. I'm always taken aback when people haven't heard of me.",
    "I'm willing to listen to every side of an argument before I make my own judgment.",
    "I've been isolated for so long that I rarely speak, preferring gestures and the occasional grunt.",
    "I've enjoyed fine food, drink, and high society among my temple's elite. Rough living grates on me.",
    "I've lost too many friends, and I'm slow to make new ones.",
    "I've read every book in the world's greatest libraries--or like to boast that I have.",
    "I've spent so long in the temple that I have little practical experience dealing with people in the outside world.",
    "I...speak...slowly...when talking...to idiots...which...almost...everyone...is...compared ...to me.",
    "If someone is in trouble, I'm always willing to lend help.",
    "If you do me an injury, I will crush you, ruin your name, and salt your fields.",
    "My eloquent flattery makes everyone I talk to feel like the most wonderful and important person in the world.",
    "My favor, once lost, is lost forever.",
    "My friends know they can rely on me, no matter what.",
    "My language is as foul as an otyugh nest.",
    "No one could doubt by looking at my regal bearing that I am a cut above the unwashed masses.",
    "Nobody stays angry at me or around me for long, since I can defuse any amount of tension.",
    "Nothing can shake my optimistic attitude.",
    "Sarcasm and insults are my weapons of choice.",
    "The best way to get me to do something is to tell me I can't do it.",
    "The common folk love me for my kindness and generosity.",
    "The first thing I do in a new place is note the locations of everything valuable--or where such things could be hidden.",
    "The leader of my community has something wise to say on every topic, and I am eager to share that wisdom.",
    "There's nothing I like more than a good mystery.",
    "Thinking is for other people. I prefer action.",
    "To me, a tavern brawl is a nice way to get to know a new city.",
    "When I set my mind to something, I follow through no matter what gets in my way.",
    "Whenever I come to a new place, I collect local rumors and spread gossip."
]

for trait in traits:
    cur.execute("INSERT INTO npc_personality_trait (trait) VALUES (?);", (trait,))
    npc_db.commit()